Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.notification.jms
Class DefaultJMSPropertiesSetter

    java.lang.Object
      org.jboss.soa.esb.notification.jms.DefaultJMSPropertiesSetter

All Implemented Interfaces:
  JMSPropertiesSetter

    public class DefaultJMSPropertiesSetter

extends java.lang.Object
implements JMSPropertiesSetter

Default impl of JMSPropertiesSetter.

The following JMS Header fields are set from the ESB Message instance:
- Call.setMessagID -> JMSMessageID
- Call.setRelatesTo -> JMSCorrelationID
- Properties( key = JSMPropertiesSetter.JMS_EXPIRATION ) -> JMSExpiration

Author:
  Daniel Bevenius

Field Summary

Fields inherited from interface org.jboss.soa.esb.notification.jms.JMSPropertiesSetter
`JMS_EXPIRATION, JMS_REDELIVERED, JMS_REPLY_TO`

Constructor Summary
`DefaultJMSPropertiesSetter()`

Method Summary
`void` | `setJMSProperties(Message fromESBMessage, javax.jms.Message toJMSMessage)` Set JMS Header fields on the outgoing JMS Message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultJMSPropertiesSetter

    public DefaultJMSPropertiesSetter()

Method Detail

### setJMSProperties

    public void setJMSProperties(Message fromESBMessage,
                                 javax.jms.Message toJMSMessage)
                          throws javax.jms.JMSException

  Set JMS Header fields on the outgoing JMS Message. This implementation will simply set the JMSCorrelationID to the MessageID of the Message object.
  Subclasses may override this method set other properties.

  Specified by:
    `setJMSProperties` in interface `JMSPropertiesSetter`
  Parameters:
    `toJMSMessage` - the out-going JMSMessage object
    `esbMsg` - the Message object from the ESB
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD